/*takes in struct packet_to_be_encoded, and creates an ascii response*/
#include <stdio.h>
#include "lib/oids_supported.h"

int RequestEncoder(const packet_to_be_encoded *p2be, char *output_string)
{
	/*output string would be like:
	 * <error_val> <char_oid> <value> <req_id>
	 * 0 .1.3.6.1.2.1.1.1.0 machina_papov
	 */
	sprintf(output_string, "%d %s %s %d", 
			p2be->error_status, p2be->Oid, p2be->Value, p2be->request_id);

	1;
}


