/* good message creator */
#include <stdio.h>
#include <string.h>
#include "lib/oids_supported.h" /*takes care of including snmpd_types.h*/

int GInt2CharOID(const oid *int_oid,char *char_OID)
{
	/* note: the non valid oid branches would be marked as -1*/
	int i, oid_length;
	char c_tmp[10];
	strcat(char_OID, ".");
	for (i=0; i<20; i++)
	{
		if (int_oid[i] != -1)
		{
			sprintf(c_tmp, "%d.", int_oid[i]);
			strcat(char_OID, c_tmp);
		} else
		{
			if (char_OID[strlen(char_OID)-1] == '.')
				char_OID[strlen(char_OID)-1] = '\0';
			//printf("[CreateGoodMessage] final string:%sEND\n", char_OID);
			return(i);
		}
	}
	if (char_OID[strlen(char_OID)-1] == '.')
		char_OID[strlen(char_OID)-1] = '\0';
	return(i);
}


int CreateGoodMessage (const decoded_packet_struct *decoded_request,
		const oid_datatype_value *oid_and_data,
		packet_to_be_encoded *response)
{
	char char_OID[100];


	//OidAndDataPrinter("CreateGoodMessage", oid_and_data);
	//DpsPrinter("CreateGoodMessage", decoded_request);
	/*version, community, pdu_type*/
	response->version = decoded_request->version;
	strncpy(response->community, decoded_request->community, sizeof(response->community));
	response->pdu_type = decoded_request->pdu_type;
	response->request_id = decoded_request->request_id;

	/*error info*/
	response->error_status = 0;
	response->error_index = 0; /*singleOID in pkt supported*/

	/*OID*/
	bzero(response->Oid, sizeof(response->Oid));
	bzero(char_OID, sizeof(char_OID));
	GInt2CharOID(oid_and_data->requested_oid, char_OID);
	//printf("gratty OIDs %s\n", char_OID);
	strncpy(response->Oid, char_OID, strlen(char_OID));
	//printf("gooty %sEND\n", response->Oid);

	/*resp*/	
	bzero(response->Value, sizeof(response->Value));
	strncpy(response->Value, oid_and_data->value, strlen(oid_and_data->value));
	//memcpy(response->Value, oid_and_data->value, strlen(oid_and_data->value));
	//printf("pooty: %sEND\n", response->Value);

	//P2bEPrinter("CreateGoodMessageAFT", response);
	1;
}
